/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of standard which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

'use strict';

module.exports = `kind: pipeline
name: default

steps:
  - name: setup
    image: node:lts-alpine
    commands:
      - apk add --no-cache curl
      - yarn
      - curl https://git.scode.ovh/Timo/standard/raw/branch/master/ci.js > ci.js

  - name: build
    image: node:lts-alpine
    environment:
      TOKEN:
        from_secret: npm_token
    commands:
      - echo "$TOKEN" > ~/.npmrc
      - npm i -g typescript
      - node ci.js
`;
